org.bouncycastle.jce.provider.test

## Class DoFinalTest

- java.lang.Object
- - org.bouncycastle.jce.provider.test.DoFinalTest

All Implemented Interfaces:
  Test

    public class DoFinalTest
    extends java.lang.Object
    implements Test

check that doFinal is properly reseting the cipher.

### Constructor Summary

Constructors
Constructor and Description
`DoFinalTest()`

### Method Summary

Methods
`TestResult` `checkCipher(java.lang.String cipherName)`
`java.lang.String` `getName()`
`static void` `main(java.lang.String[] args)`
`TestResult` `perform()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DoFinalTest

    public DoFinalTest()

### Method Detail

#### checkCipher

    public TestResult checkCipher(java.lang.String cipherName)

#### perform

    public TestResult perform()

Specified by:
  `perform` in interface `Test`

#### getName

    public java.lang.String getName()

Specified by:
  `getName` in interface `Test`

#### main

    public static void main(java.lang.String[] args)